Поделиться:

Внести поправки в код страницы для корректной работы сайта

Возникла следующая проблема: на нашем сайте https://moodle.ano-universum.ru/moodle/ (LMS Moodle) был установлен плагин обновленной темы оформления интерфейса. Видимо, новый плагин оказался не корректен для системы: после перезапуска страницы на сайте стало невозможно авторизоваться (страница регистрации пользователей отображалась некорректно, без кнопок подтверждения входа). После этого на сервере было произведено восстановление файловой системы сайта до установки плагина. Однако и это не помогло: страница авторизации отображалась корректно, но при входе в систему происходит автоматическое перенаправление к странице установки плагина темы. Но ни завершить установку, ни откатить ее назад возможности нет. При попытке обновить Moodle выходит ошибка: "Невозможно откатить плагин «theme_eguru» с версии 2018111500 до 2016110400. Error code: cannotdowngrade.
Stack trace:
line 580 of /lib/upgradelib.php: downgrade_exception thrown
line 1742 of /lib/upgradelib.php: call to upgrade_plugins()
line 683 of /admin/index.php: call to upgrade_noncore()
Необходимо внести исправления в код, чтобы сайт загружался и отображался для пользователей.

Срок: 19.04.2019

по договоренности